Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
keywords_data
/
bing
/
keywords_for_keywords
/
live
Setting Live ‘Keywords For Keywords’ Tasks
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/keywords_for_keywords/live \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "keywords": [
    "<string>"
  ],
  "location_name": "<string>",
  "location_code": 123,
  "location_coordinate": "<string>",
  "language_name": "<string>",
  "language_code": "<string>",
  "sort_by": "<string>",
  "keywords_negative": [
    "<string>"
  ],
  "device": "<string>",
  "date_from": "<string>",
  "date_to": "<string>",
  "search_partners": true,
  "tag": "<string>"
}
'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "tasks.result": [
    "<string>"
  ],
  "tasks.result.keyword": "<string>",
  "tasks.result.location_code": 123,
  "tasks.result.language_code": "<string>",
  "tasks.result.search_partners": true,
  "tasks.result.device": "<string>",
  "tasks.result.competition": 123,
  "tasks.result.cpc": 123,
  "tasks.result.search_volume": 123,
  "tasks.result.categories": [
    "<string>"
  ],
  "tasks.result.monthly_searches": [
    "<string>"
  ],
  "tasks.result.monthly_searches.year": 123,
  "tasks.result.monthly_searches.month": 123,
  "tasks.result.monthly_searches.search_volume": 123
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
keywords
string[]
required

keywords required field you can specify the maximum of 200 keywords with each keyword containing no more than 100 characters; the specified keywords will be converted to lowercase, data will be provided in a separate array learn more about rules and limitations of keyword and keywords fields in DataForSEO APIs in this Help Center article

location_name
string
required

full name of search engine location required field if you don’t specify location_code or location_coordinate if you use this field, you don’t need to specify location_code or location_coordinate you can receive the list of available locations of the search engine with their location_name by making a separate request to https://api.dataforseo.com/v3/keywords_data/bing/locations example: London,England,United Kingdom

location_code
integer
required

search engine location code required field if you don’t specify location_name or location_coordinate if you use this field, you don’t need to specify location_name or location_coordinate you can receive the list of available locations of the search engines with their location_code by making a separate request to https://api.dataforseo.com/v3/keywords_data/bing/locations example: 2840

location_coordinate
string
required

GPS coordinates of a location required field if you don’t specify location_name or location_code if you use this field, you don’t need to specify location_name or location_code location_coordinate parameter should be specified in the “latitude,longitude” format the data will be provided for the country the specified coordinates belong to example: 52.6178549,-155.352142

language_name
string
required

full name of search engine language required field if you don’t specify language_code if you use this field, you don’t need to specify language_code supported languages: English, French, German

language_code
string
required

search engine language code required field if you don’t specify language_name if you use this field, you don’t need to specify language_name supported languages: en, fr, de

sort_by
string

results sorting parameters optional field Use these parameters to sort the results by search_volume, cpc, competition or relevance in the descending order default value: relevance

keywords_negative
string[]

keywords negative array optional field These keywords will be ignored in the results array; You can specify a maximum of 200 terms that you want to exclude from the results; the specified keywords will be converted to lowercase format

device
string

device type optional field specify this field if you want to get the data for a particular device type; possible values: all, mobile, desktop, tablet default value: all

date_from
string

starting date of the time range optional field minimal value: 24 months from today’s date; if you don’t specify this field, data will be provided for the last 12 months date format: "yyyy-mm-dd" example: "2020-01-01" Note: we do not recommend using a custom time range for the past year’s dates

date_to
string

ending date of the time range optional field if you don’t specify this field, data will be provided for the last 12 months; minimum value: two years back from today’s date; maximum value: one month from today’s date; date format: "yyyy-mm-dd" example: "2020-03-15" Note: we do not recommend using a custom time range for the past year’s dates

search_partners
boolean

Bing search partners type optional field if you specify true, the results will be delivered for owned, operated, and syndicated networks across Bing, Yahoo, AOL and partner sites that host Bing, AOL, and Yahoo search. default value: false – results are returned for Bing, AOL, and Yahoo search networks

tag
string

user-defined task identifier optional field the character limit is 255 you can use this parameter to identify the task and match it with the result you will find the specified tag value in the data object of the response

Response

Successful response

version
string

the current version of the API

status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_message
string

general informational message you can find the full list of general informational messages here

time
string

execution time, seconds

cost
number

total tasks cost, USD

tasks_count
integer

the number of tasks in the tasks array

tasks_error
integer

the number of tasks in the tasks array returned with an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

tasks.result
string[]

array of results

tasks.result.keyword
string

keyword in a POST array

tasks.result.location_code
integer

location code in a POST array if there is no data, then the value is null

tasks.result.language_code
string

language code in a POST array if there is no data, then the value is null

tasks.result.search_partners
boolean

indicates whether data from partner networks is included in the response

tasks.result.device
string

device type indicates for what device type the data is provided; possible values: all, mobile, desktop, tablet

tasks.result.competition
number

competition represents the relative amount of competition associated with the given keyword in paid SERP only. This value is based on Bing Ads data. Possible values: 0.1, 0.5,0.90.1 – low competition, 0.5 – medium competition, 0.9 – high competition; if there is no data the value is null

tasks.result.cpc
number

cost-per-click represents the average cost per click (USD) historically paid for the keyword. if there is no data, then the value is null

tasks.result.search_volume
integer

monthly average search volume rate represents the (approximate) number of searches for the keyword on the Bing search engine, depending on the user’s targetingsearch volume is rounded to the closest decimal values if there is no data, then the value is null

tasks.result.categories
string[]

product and service categories legacy field, the value will always be null

tasks.result.monthly_searches
string[]

monthly searches represents the (approximate) number of searches on this keyword (as available for the past twelve months), targeted to the specified geographic locations. if there is no data, then the value is null

tasks.result.monthly_searches.year
integer

year

tasks.result.monthly_searches.month
integer

month

tasks.result.monthly_searches.search_volume
integer

monthly average search volume rate search volume is rounded to the closest decimal values